

class Annotation:

    id = None # identifier in go
    evidenceCode = None #evidence code
    dataBase = None #data base the annotation came from
    gene = None

    def __init__(self,id,evidenceCode,dataBase,gene):
        self.id = id
	self.evidenceCode = evidenceCode
	self.dataBase = dataBase
        self.gene = gene


    def toString(self):
        print self.id, self.evidenceCode, self.dataBase
        self.gene.toString()


